%define req_libglade_version 2.4.0
%define req_gtkmm_version 2.4.0

%define api_version 2.4
%define libname_basic glademm

Name: libglademm
Version: 2.4.1
Release: alt1

Summary: C++ interface of glade2 library
License: LGPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://download.sourceforge.net/gtkmm/%name-%version.tar.bz2

Url: http://gtkmm.sourceforge.net/

# Automatically added by buildreq on Wed May 26 2004
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel hostinfo libatk-devel libdb4.2-devel libglade2-devel libglibmm-devel libgtk+2-devel libgtkmm2-devel libpango-devel libsigc++2.0-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

BuildRequires: libglade2-devel >= %req_libglade_version
BuildRequires: libgtkmm2-devel >= %req_gtkmm_version
BuildRequires: doxygen

%description
This package provides a C++ interface for glade2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create glade2 objects.

%package -n %name-devel
Summary: Development related files of %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libglade2-devel >= %req_libglade_version
# to be added soon
#Requires:	gtkmm2-devel >= %req_gtkmm_version

%description -n %name-devel
Thie package provides headers and various development files needed for
compiling or developing applications that use Glade 2 C++ interface.

%package -n %name-doc
Summary: Documentation for %name
Group: Development/GNOME and GTK+

%description -n %name-doc
Thie package provides documentation for
compiling or developing applications that use Glade 2 C++ interface.

%prep
%setup -q

%build
export ac_cv_path_PKG_CONFIG="%_bindir/pkg-config --recursive"
%configure --disable-static

# Disable dot using in doc
perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' docs/reference/Doxyfile

%make

%install
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS
%_libdir/*.so.*

%files -n %name-devel
%doc AUTHORS ChangeLog INSTALL
%_includedir/*
%_libdir/%name-%api_version
%_libdir/pkgconfig/*.pc
%_libdir/*.so

%files -n %name-doc
%_datadir/devhelp/books/%name-%api_version/%name-%api_version.devhelp
%_docdir/gnomemm-2.6/%name-%api_version

%changelog
* Sat Jun 19 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.1-alt1
- new version
- remove COPYING from files
- split doc package

* Mon May 31 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.0-alt1
- new version

* Sun Feb 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.1.2-alt1
- first build for Sisyphus

* Sat Nov 01 2003 Abel Cheung <deaddog@deaddog.org> 2.1.2-3mdk
- Revert previous change (Don't blindly add provides, libglademm and
  glademm are entirely different thing)

* Wed Oct 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.1.2-2mdk
- provides (lib64..)

* Thu Oct 02 2003 Abel Cheung <deaddog@deaddog.org> 2.1.2-1mdk
- 2.1.2
- Patch1: Make libtool 1.5 always search for staging libraries first
  during relinking
- Provides plain package name

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.0.1-1mdk
- Rename glademm2.0 -> libglademm2.0, avoid confusion with
  the real glademm package
- Build static library
- Build doc
- Need not provide glademm2.0{,-devel} since nothing require them
- Patch0: Fix doc/reference/Doxyfile (which was having old variable that
  belongs to gnomeuimm package)

* Sun Apr 6 2003 Austin Acton <aacton@yorku.ca> 1.3.10-1mdk
- initial package
